AdminMembershipsGridJsParams = "width=430,height=250";

function AdminMembershipsGridModify( uid ) {
	window.open( 'edit.php?mode=modify&uid='+uid , '_blank' , AdminMembershipsGridJsParams );
}

function AdminMembershipsGridAction( n , action ) {
	if ($("#"+FNTHSuperGrid_ToolbarId( n , action )).hasClass( "dsb" )) return;
	switch (action) {
	case "new":
		window.open( 'edit.php?mode=new' , '_blank' , AdminMembershipsGridJsParams );break;
	case "modify":
		AdminMembershipsGridModify( $("#"+n).data( "selecteds" )[0] , AdminMembershipsGridJsParams );
		break;
	case "delete":
		if (!window.confirm( aJSLangDefs.languages_confirm_Delete_language )) return;
		BGAction( n , action );
		break;
	case "filter":
		$("#frm_AdminMembershipsGrid").append( "<input type=\"hidden\" name=\"task\" value=\"filter\" />" );
		document.frm_AdminMembershipsGrid.submit();
		break;
	}
}

function AdminMembershipsGridSelectionChanged( tblid , chk , id ) {
	BGSelectionChanged( tblid , chk , id );
	BGSelectionChangedDefaultAMD( tblid , chk, id );
}
